#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is mozilla.org code.
#
# The Initial Developer of the Original Code is
# Mozilla Foundation.
# Portions created by the Initial Developer are Copyright (C) 2007
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either of the GNU General Public License Version 2 or later (the "GPL"),
# or the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

DEPTH		= ../../..
topsrcdir	= @top_srcdir@
srcdir		= @srcdir@
VPATH		= @srcdir@
relativesrcdir  = extensions/cookie/test

include $(DEPTH)/config/autoconf.mk

MODULE          = test_cookies

_TEST_FILES = \
  test_samedomain.html \
  file_testcommon.js \
  file_domain_inner.html \
  file_domain_inner_inner.html \
  test_differentdomain.html \
  test_image.html \
  file_image_inner.html \
  file_image_inner_inner.html \
  image1.png \
  image1.png^headers^ \
  image2.png \
  image2.png^headers^ \
  test1.css \
  test1.css^headers^ \
  test2.css \
  test2.css^headers^ \
  test_same_base_domain.html \
  file_subdomain_inner.html \
  test_same_base_domain_2.html \
  test_same_base_domain_3.html \
  test_same_base_domain_4.html \
  file_localhost_inner.html \
  test_same_base_domain_5.html \
  test_same_base_domain_6.html \
  file_loopback_inner.html \
	$(NULL)

# XXX see bug 454857
#  test_loadflags.html \
#  file_testloadflags.js \
#  file_loadflags_inner.html \

# the tests below use Firefox-specific features
ifdef MOZ_PHOENIX
_BROWSER_TEST_FILES = \
  browser_test_favicon.js \
  $(NULL)
endif

libs:: $(_TEST_FILES)
	$(INSTALL) $(foreach f,$^,"$f") $(DEPTH)/_tests/testing/mochitest/tests/$(relativesrcdir)

# see above, only defined for Firefox
ifdef MOZ_PHOENIX
libs:: $(_BROWSER_TEST_FILES)
	$(INSTALL) $(foreach f,$^,"$f") $(DEPTH)/_tests/testing/mochitest/browser/$(relativesrcdir)
endif

XPCSHELL_TESTS = unit

include $(topsrcdir)/config/rules.mk

